<?

namespace Diamond\Repositories;

use Core\Repository\CrudInterface;
use Core\Repository\PropelQueryAbstract;


/**
 * Description of ContentCategory
 *
 * @author Admin
 */
class Template extends PropelQueryAbstract implements CrudInterface {
    
    public function buildEntity() {
        return new \Diamond\Infrastructure\Models\Template\Template();
    }

    public function buildQuery() {
        return \Diamond\Infrastructure\Models\Template\TemplateQuery::create();
    }

}
